define([
    "dojo/_base/declare",
    "thornberry/app/Component/_Component",
    "dijit/_TemplatedMixin",
    "thornberry/app/Component/_DataFormMixin",
    "dojo/text!./Templates/ClaimResponseItem.html",
    "dojo/dom-style",
    "dojo/dom-construct",
    "dojo/_base/array"
],function(
    declare,
    _Component,
    _TemplatedMixin,
    _DataFormMixin,
    template,
    domStyle,
    domConstruct,
    arrayUtils
) {
    return declare([_Component,_TemplatedMixin,_DataFormMixin],{
        templateString: template,

        getInitialProps: function() {
            return {
                value: null
            }
        },

        refreshRendering: function() {
            var t = this;
            var value = t.props.value;
            t.set("value",value);

            if (value) {
                debugger;
                domStyle.set(t.responseStatusContainer,"display",value.responseStatus == "" ? "none" : "");

                var errors = value.errors;
                domStyle.set(t.errorContainer,"display",errors.length ? "" : "none");
                domConstruct.empty(t.errorItemContainer);
                arrayUtils.forEach(errors,function(error) {
                    var node = domConstruct.toDom("<div></div>");
                    t.errorItemContainer.appendChild(node);
                    node.innerHTML = error;
                });
            }
            t.inherited(arguments);
        }
    });
});