define([
    "dojo/_base/declare",
    "thornberry/serverRequest"
],function(
    declare,
    serverRequest
) {
    // Singleton
    return new (declare(null,{
        get: function(type,locationId) {
            return serverRequest("Billing.Config.Service","GetLocationAdjustments",{ type: type, locationId: locationId });
        },
        setInSession: function(options) {
            return serverRequest("Billing.Config.Service","SetLocationAdjustmentsInSession",options);
        }
    }))();
});