require({cache:{
'url:dojox/calendar/templates/Calendar.html':"<div><div data-dojo-attach-point=\"buttonContainer\" class=\"buttonContainer\"><div data-dojo-attach-point=\"toolbar\" data-dojo-type=\"dijit.Toolbar\" ><button data-dojo-attach-point=\"previousButton\" data-dojo-type=\"dijit.form.Button\" >◄</button><button data-dojo-attach-point=\"nextButton\" data-dojo-type=\"dijit.form.Button\" >►</button><span data-dojo-type=\"dijit.ToolbarSeparator\"></span><button data-dojo-attach-point=\"nowButton\" data-dojo-type=\"dijit.form.Button\" >Now</button><span data-dojo-type=\"dijit.ToolbarSeparator\"></span><!--<button data-dojo-attach-point=\"fourHoursButton\" data-dojo-type=\"dijit.form.Button\" >4 Hours</button><button data-dojo-attach-point=\"twelveHoursButton\" data-dojo-type=\"dijit.form.Button\" >12 Hours</button>--><button data-dojo-attach-point=\"twentyFourHoursButton\" data-dojo-type=\"dijit.form.Button\" >24 Hours</button><button data-dojo-attach-point=\"threeDaysButton\" data-dojo-type=\"dijit.form.Button\" >3 Days</button></div></div><div data-dojo-attach-point=\"viewContainer\" class=\"viewContainer\"></div></div>"}});
define("thornberry/med/medCalendar", ["dojo/_base/declare", "dojo/_base/lang", "dojox/calendar/CalendarBase", "dojox/calendar/ColumnView", "dojox/calendar/ColumnViewSecondarySheet", 
				"dojox/calendar/VerticalRenderer", "dojox/calendar/MatrixView",	"dojox/calendar/HorizontalRenderer", "dojox/calendar/LabelRenderer", 
				"dojox/calendar/ExpandRenderer", "dojox/calendar/Keyboard", "dojox/calendar/Mouse", "dojo/text!dojox/calendar/templates/Calendar.html", "dojo/on", "dojo/_base/event", "dojo/date", "dojo/query", "dojo/dom-class",
				"dijit/form/Button", "dijit/Toolbar", "dijit/ToolbarSeparator", "dojo/NodeList-dom"],
	
	function(declare, lang, CalendarBase, ColumnView, ColumnViewSecondarySheet, VerticalRenderer, 
					 MatrixView, HorizontalRenderer, LabelRenderer, ExpandRenderer, Keyboard, Mouse, template, on, event, date, query, domClass){
	
	VerticalRenderer = declare(VerticalRenderer,{
		_setItemAttr: function(value) {
			var t = this;
			t.inherited(arguments);
			domClass.toggle(t.domNode,"previously-administered",(value && value._item.status == 6));
		}
	});
	
	return declare("thornberry.med.medCalendar", CalendarBase, {
		
		templateString: template,
		
		filterByPatSelection: function() {return true},
		filterByEventFilters: function() {return true},
		cssClassFunc: function(item) {
			var classVal = "";
			/*switch(item.status) {
				case 1:
					classVal = "scheduled"; break;
				case 2: 
					classVal = "given"; break;
				case 3: 
					classVal = "notGiven"; break;
				case 4:
					classVal = "missed"; break;
				default:
					classVal = "scheduled";
			}*/
			return classVal;
		},
		
		
		date: new Date(),
		dateIntervalSteps: 1,
		dateInterval: "day",
		startTimeAttr: "displayStart",
		endTimeAttr: "displayEnd",
		animateRange: false,
		editable: false,
		selectionMode: "multiple",
		
		columnViewProps: {
			minHours: 8,
			maxHours: 12,
			percentOverlap: 0,
			hourSize: 150,
			minColumnWidth: "100px",
			styleColumnHeaderCell: function() {},
			styleRowHeaderCell: function() {},
			styleGridCell: function() {},
			_columnHeaderClick: function(e) {
				event.stop(e);
				if (this.owner.get("dateIntervalSteps") === 3) {
					var index = query("td", this.columnHeaderTable).indexOf(e.currentTarget);
					this.owner.set("date",this.renderData.dates[index]);
					this.owner.twentyFourHoursButton.onClick();
				} else {
					this.owner.threeDaysButton.onClick();
				}
			},
			secondarySheetProps: {
				defaultStyleGridCell: function() {},
				showCellLabel: false,
				itemToRendererKindFunc: function(item) {
					return null;
					//var include = this.owner.owner.filterByPatSelection({item:item._item})
					//return (include && (item.addDay || date.difference(item.startTime,item.endTime,"minute") >= 1440) ? "horizontal" : null);
				},
			},
			itemToRendererKindFunc: function(item) {
				var include = !item._item.err && this.owner.filterByPatSelection({item:item._item}) && this.owner.filterByEventFilters({item:item._item},"",true);
				return (include ? "vertical" : null);	
				//return (include && !item.addDay && date.difference(item.startTime,item.endTime,"minute") < 1440 ? "vertical" : null);
			},
		},
		
		postCreate: function(){
			this.inherited(arguments);
			
			this.own(on(this.nowButton,"click",lang.hitch(this,this.nowButtonClick)));
			/*this.own(on(this.fourHoursButton,"click",lang.hitch(this,this.fourHoursButtonClick)));
			this.own(on(this.twelveHoursButton,"click",lang.hitch(this,this.twelveHoursButtonClick)));*/
			this.own(on(this.twentyFourHoursButton,"click",lang.hitch(this,this.twentyFourHoursButtonClick)));
			this.own(on(this.threeDaysButton,"click",lang.hitch(this,this.threeDaysButtonClick)));
		},
		
		refreshDisplay: function() {
			this.columnView.displayedItemsInvalidated = true;
			this.columnView.refreshRendering();
		},
		
		nowButtonClick: function() {
			/*if (hours !== 0) {
				var minHours = Math.floor(hours / 12) * 12;
				var maxHours = Math.floor(hours / 12) * 12 + 12;
			} else {
				var minHours = 0;
				var maxHours = 12;
			}*/
			this.set("dateIntervalSteps",1);
			this.set("date",new Date());
			var columnView = this.columnView;
			columnView.displayedItemsInvalidated = true;
			columnView.set({
				minHours: 0,
				maxHours: 24
			});
			setTimeout(function() {
				var hours = new Date().getHours();
				if (hours > 1) {
					hours -= 1;
				}
				columnView.set("startTimeOfDay", {hours: hours, duration: 0});
			},0);
			
			query("#calendar .calendarHourLinkDisabled").forEach(function(node) {
				domClass.remove(node,"calendarHourLinkDisabled");
				domClass.add(node,"calendarHourLink");
			});
		},
		
		/*fourHoursButtonClick: function() {
			this.set("dateIntervalSteps",1);
			var minHours = this.columnView.get("minHours");
			var maxHours = minHours + 4;
			this.columnView.displayedItemsInvalidated = true;
			this.columnView.set("minHours",minHours);
			this.columnView.set("maxHours",maxHours);
			this.columnView.set("hourSize",200);
		},
		
		twelveHoursButtonClick: function() {
			var hours = this.columnView.get("minHours");
			if (hours < 12) {
				var minHours = 0;
				var maxHours = 12;
			} else {
				var minHours = 12;
				var maxHours = 24;
			}
			this.set("dateIntervalSteps",1);
			this.columnView.displayedItemsInvalidated = true;
			this.columnView.set({
				minHours: minHours,
				maxHours: maxHours,
				hourSize: 100
			});
		},*/
		
		twentyFourHoursButtonClick: function() {
			this.set("dateIntervalSteps",1);
			this.columnView.displayedItemsInvalidated = true;
			this.columnView.set({
				minHours: 0,
				maxHours: 24
			});
			query("#calendar .calendarHourLinkDisabled").forEach(function(node) {
				domClass.remove(node,"calendarHourLinkDisabled");
				domClass.add(node,"calendarHourLink");
			});
		},
		
		threeDaysButtonClick: function() {
			this.set("selectedItems",[]);
			this.set("dateIntervalSteps",3);
			this.columnView.displayedItemsInvalidated = true;
			this.columnView.set({
				minHours: 0,
				maxHours: 24
			});
			query("#calendar .calendarHourLink").forEach(function(node) {
				domClass.remove(node,"calendarHourLink");
				domClass.add(node,"calendarHourLinkDisabled");
			});
		},
		
		_navigate: function(dir) {
			var dis = this.get("dateIntervalSteps");
			if (dis === 3) {
				this.set("date", date.add(this.get("date"),"day",dir * dis));
			} else {
				var startHours = this.columnView.get("minHours");
				var endHours = this.columnView.get("maxHours");
				var range = endHours - startHours;
				var minHours = "";
				var maxHours = "";
				if (dir === 1 && endHours + range > 24) {
					this.set("date", date.add(this.get("date"),"day",1));
					minHours = 0;
					maxHours = range;
				} else if (dir === -1 && startHours - range < 0) {
					this.set("date", date.add(this.get("date"),"day",-1));
					maxHours = 24;
					minHours = 24-range;
				} else {
					minHours = startHours + range * dir;
					maxHours = endHours + range * dir;
				}
				this.columnView.displayedItemsInvalidated = true;
				this.columnView.set("minHours",minHours);
				this.columnView.set("maxHours",maxHours);
			}
		},
		
		// summary:
		//		This class defines a calendar widget that display events in time.
		
		_createDefaultViews: function(){
			// summary:
			//		Creates the default views:
			//		- A dojox.calendar.ColumnView instance used to display one day to seven days time intervals,
			//		- A dojox.calendar.MatrixView instance used to display the other time intervals.
			//		The views are mixed with Mouse and Keyboard to allow editing items using mouse and keyboard.

			var secondarySheetClass = declare([ColumnViewSecondarySheet, Keyboard, Mouse]);

			VerticalRenderer.prototype.visibilityLimits.summaryLabel = -1;
			
			var colView = declare([ColumnView, Keyboard, Mouse])(lang.mixin({
				secondarySheetClass: secondarySheetClass,
				verticalRenderer: VerticalRenderer,
				horizontalRenderer: HorizontalRenderer,
				expandRenderer: ExpandRenderer
			}, this.columnViewProps));
			
			var matrixView = declare([MatrixView, Keyboard, Mouse])(lang.mixin({
				horizontalRenderer: HorizontalRenderer,
				labelRenderer: LabelRenderer,
				expandRenderer: ExpandRenderer
			}, this.matrixViewProps));
								
			this.columnView = colView;
			this.matrixView = matrixView;
			
			var views = [colView, matrixView];
			
			this.installDefaultViewsActions(views);
			
			return views;
		},
		
		installDefaultViewsActions: function(views){
			// summary:
			//		Installs the default actions on newly created default views.
			//		By default this action is registering:
			//		- the matrixViewRowHeaderClick method on the rowHeaderClick event of the matrix view.
			//		- the columnViewColumnHeaderClick method on the columnHeaderClick event of the column view.
			this.matrixView.on("rowHeaderClick", lang.hitch(this, this.matrixViewRowHeaderClick));
			this.columnView.on("columnHeaderClick", lang.hitch(this, this.columnViewColumnHeaderClick));
		}
		
	});
});
